gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-grid5k] 181/189: centos database working


From: gnunet
Subject: [taler-grid5k] 181/189: centos database working
Date: Thu, 28 Apr 2022 10:49:11 +0200

This is an automated email from the git hooks/post-receive script.

marco-boss pushed a commit to branch master
in repository grid5k.

commit a915900f2315a17d4599007d3b9b90a32640709c
Author: Boss Marco <bossm8@bfh.ch>
AuthorDate: Thu Apr 21 12:54:35 2022 +0200

    centos database working
---
 configs/etc/monitor/promtail.yaml              |  6 +--
 experiment/README.md                           |  2 +
 experiment/experiment-specification.yml        |  9 ++++
 experiment/scripts/database-centos.sh          | 71 ++++++++++++++------------
 experiment/scripts/database.sh                 |  2 -
 experiment/scripts/helpers.sh                  | 13 ++---
 experiment/scripts/monitor.sh                  |  2 +-
 experiment/scripts/setup.sh                    | 27 ++++++----
 experiment/ssh/id_rsa                          | 38 ++++++++++++++
 experiment/ssh/id_rsa.pub                      |  1 +
 image/centos8/taler-centos8.yaml               |  4 +-
 image/debian11/grid5000/from_scratch/base.yaml |  2 +-
 12 files changed, 119 insertions(+), 58 deletions(-)

diff --git a/configs/etc/monitor/promtail.yaml 
b/configs/etc/monitor/promtail.yaml
index 2b21c73..77c46c7 100644
--- a/configs/etc/monitor/promtail.yaml
+++ b/configs/etc/monitor/promtail.yaml
@@ -33,7 +33,7 @@ scrape_configs:
       target_label: app
   pipeline_stages:
     - match:
-        selector: '{job="database"} |~ "duration:"'
+      selector: '{job="database"} |~ "duration:" !~ "plan:"'
         stages:
         - regex:
             expression: 'duration: (?P<time>\d+\.*\d*) ms'
@@ -48,11 +48,11 @@ scrape_configs:
                 buckets: [20,40,60,80,100,200,500,1000,5000,10000]
     - match:
         # '{job="database"} |~ "(011Query Text:)|(duration:.*execute)"'
-        selector: '{job="database"} |~ "duration:.*execute"'  
+        selector: '{job="database"} |~ "duration:.*(execute|statement)"'  
         stages:
         - regex:
             # '(011Query Text: (?P<txt>.*))|(duration:.*execute [a-zA-Z_]+: 
(?P<plan>.*))'
-            expression:  'duration:.*execute [a-zA-Z_]+: (?P<plan>.*)' 
+            expression:  'duration:.*(execute [a-zA-Z_]+|statement): 
(?P<plan>.*)' 
         - template:
             source: lbl
             template: '{{ printf "slow-query" }}'
diff --git a/experiment/README.md b/experiment/README.md
index 271aa7b..1a65104 100644
--- a/experiment/README.md
+++ b/experiment/README.md
@@ -7,6 +7,8 @@
   or shards for example). Find more in ../aditional/rpsecs
 * env: template file to add enviroment variables needed for the experiment
 * scripts: Bash scripts which will be run in the experiment
+* ssh: ssh key material which the nodes use in the ESpec phase to communicate 
with each other.
+  Safe to use here, since nodes can only be reached from inside the grid 
already
   
 ## Run an Experiment
 
diff --git a/experiment/experiment-specification.yml 
b/experiment/experiment-specification.yml
index 908a4cf..6a4a8c0 100644
--- a/experiment/experiment-specification.yml
+++ b/experiment/experiment-specification.yml
@@ -12,6 +12,12 @@ upload:
     permission: "775"
   # Contains information about allocated nodes
   - meta: experiment-info.json
+  # Used that nodes can communicate during espec phase
+  # Done since generated: of espec does not work
+  - bundled: ssh/id_rsa
+    path: ~/.ssh/id_rsa
+  - bundled: ssh/id_rsa.pub
+    path: ~/.ssh/id_rsa.pub
 execute:
   # Clear previous uploads and move new ones to ~/
   # This step is necessary since dir uploads are not overriden
@@ -23,6 +29,9 @@ execute:
       rm -rf ~/'execute[0].sh'
       # Reset possible DNS issues created by our scripts
       mv /etc/resolv.conf.bak /etc/resolv.conf || true
+      # Add the uploaded key as trusted
+      echo "" >> ~/.ssh/authorized_keys
+      cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
     log: /dev/null
   # Setup DNS and Environment config
   - path: ~/scripts/setup.sh
diff --git a/experiment/scripts/database-centos.sh 
b/experiment/scripts/database-centos.sh
index cd8e22a..492dff6 100755
--- a/experiment/scripts/database-centos.sh
+++ b/experiment/scripts/database-centos.sh
@@ -25,12 +25,18 @@ function setup_disks() {
 # Setup the postgresql configuration
 function setup_config() {
 
-  restart_rsyslog
+  mkdir -p /etc/systemd/system/postgresql-13.service.d || true
+  echo "
+[Service]
+Environment=PGDATA=/tmp/postgresql/13/data
+  " > /etc/systemd/system/postgresql-13.service.d/override.conf
+
+  systemctl daemon-reload
  
   PGSETUP_INITDB_OPTIONS="-D /tmp/postgresql/13/data"
 
   if [ -d /mnt/disk ]; then
-    mkdir /mnt/disk/pg_wal
+    mkdir /mnt/disk/pg_wal || true
     chown -R postgres:postgres /mnt/disk/pg_wal
     PGSETUP_INITDB_OPTIONS="${PGSETUP_INITDB_OPTIONS} -X /mnt/disk/pg_wal"
   fi
@@ -40,7 +46,8 @@ function setup_config() {
     chown -R postgres:postgres /tmp/postgresql/
   fi
 
-  postgresql-${POSTGRES_VERSION}-setup initdb
+  # does not work for some reason it not exported here, also setting non 
default values makes it fail
+  PGSETUP_INITDB_OPTIONS=${PGSETUP_INITDB_OPTIONS} 
postgresql-${POSTGRES_VERSION}-setup initdb || true
   
   # Get hardware info to tune in postgresql.conf
   SHARED_MEM=$(($(awk '/MemTotal/ {print $2}' /proc/meminfo) / 3 ))
@@ -213,12 +220,6 @@ function setup_config() {
     " >> /tmp/postgresql/${POSTGRES_VERSION}/data/pg_hba.conf
   fi
 
-  echo "
-  [Service]
-  Environment=PGDATA=/tmp/postgresql/13/data
-  " >> /etc/systemd/system/postgresql-13.service.d/override.conf
-  systemctl daemon-reload
-
   systemctl restart postgresql-${POSTGRES_VERSION}
 }
 
@@ -229,6 +230,7 @@ function enable_remote_access() {
     /tmp/postgresql/${POSTGRES_VERSION}/data/pg_hba.conf; then
     echo "
     host all ${DB_USER} 172.16.0.0/12 md5
+    host all postgres 172.16.0.0/12 trust
     " >> /tmp/postgresql/${POSTGRES_VERSION}/data/pg_hba.conf
   fi
 }
@@ -245,24 +247,6 @@ EOF
 
 }
 
-function remote_init_db() {
-
-  sed -i 
"s\<DB_URL_HERE>\postgresql://taler-exchange-httpd@db.${DNS_ZONE}:${DB_PORT}/${DB_NAME}\g"
 \
-       /etc/taler/secrets/exchange-db.secret.conf
-
-  sudo -u taler-exchange-httpd taler-exchange-dbinit -r || true
-  sudo -u taler-exchange-httpd taler-exchange-dbinit -s || true
-
-  if [ "${SHARD_DB}" = "true" ]; then
-    sudo -u postgres taler-exchange-dbinit -F ${NUM_SHARDS}
-  elif [ "${PARTITION_DB}" = "true" ]; then
-    sudo -u taler-exchange-httpd taler-exchange-dbinit -P ${NUM_PARTITIONS}
-  else
-    sudo -u taler-exchange-httpd taler-exchange-dbinit
-  fi
-
-}
-
 # Initialize the database for taler exchange
 function init_db() {
 
@@ -277,13 +261,15 @@ psql -tAc "SELECT 1 FROM pg_database WHERE 
datname='${DB_NAME}'" | \
   createdb -O taler-exchange-httpd "${DB_NAME}"
 psql -tAc "CREATE EXTENSION IF NOT EXISTS pg_stat_statements"
 EOF
- 
-  ssh -o StrictHostKeyChecking=no monitor.${DNS_ZONE} 
'./scripts/database-centos.sh remote-init'
+
+  ssh -o StrictHostKeyChecking=no \
+      -i ~/.ssh/id_rsa \
+      monitor.${DNS_ZONE} './scripts/database-centos.sh remote-init'
 
   if [ "${SHARD_DB}" = "true" ]; then
     configure_shard_access
   fi
-
+ 
   # Create the remote user "$DB_USER" and load pg_stat_statements for metrics
   su postgres << EOF
 psql postgres -tAc "SELECT 1 FROM pg_roles WHERE rolname='${DB_USER}'" | \
@@ -294,21 +280,42 @@ END
 EOF
 
   # Grant access to the databse to the remote user
-  su taler-exchange-httpd -s /bin/bash << EOF
+  su postgres << EOF
 psql -d "${DB_NAME}"
 GRANT SELECT,INSERT,UPDATE ON ALL TABLES IN SCHEMA public TO "${DB_USER}";
 GRANT USAGE ON ALL SEQUENCES IN SCHEMA public TO "${DB_USER}";
 EOF
 
+
   enable_remote_access
-  systemctl restart postgresql
+  systemctl restart postgresql-13
+}
+
+function remote_init_db() {
+
+  sed -i 
"s\<DB_URL_HERE>\postgresql://taler-exchange-httpd@db.${DNS_ZONE}:${DB_PORT}/${DB_NAME}\g"
 \
+       /etc/taler/secrets/exchange-db.secret.conf
+
+  sudo -u taler-exchange-httpd taler-exchange-dbinit -r || true
+  sudo -u taler-exchange-httpd taler-exchange-dbinit -s || true
+
+  if [ "${SHARD_DB}" = "true" ]; then
+    sudo -u postgres taler-exchange-dbinit -F ${NUM_SHARDS}
+  elif [ "${PARTITION_DB}" = "true" ]; then
+    sudo -u taler-exchange-httpd taler-exchange-dbinit -P ${NUM_PARTITIONS}
+  else
+    sudo -u taler-exchange-httpd taler-exchange-dbinit
+  fi
+
 }
 
+
 case ${1} in 
   init)
     setup_disks
     setup_config
     restart_rsyslog
+    init_db
     ;;
   remote-init)
     remote_init_db
diff --git a/experiment/scripts/database.sh b/experiment/scripts/database.sh
index 1766fd6..e25aa9b 100755
--- a/experiment/scripts/database.sh
+++ b/experiment/scripts/database.sh
@@ -42,8 +42,6 @@ function setup_ram_storage() {
 # Setup the postgresql configuration
 function setup_config() {
 
-  restart_rsyslog
-
   # Grid5000 mounts the default disk on /tmp
   # Move the DB there to get more storage
   if [ -d /var/lib/postgresql ]; then
diff --git a/experiment/scripts/helpers.sh b/experiment/scripts/helpers.sh
index 4ac3624..c972bd9 100755
--- a/experiment/scripts/helpers.sh
+++ b/experiment/scripts/helpers.sh
@@ -15,16 +15,13 @@ set -x
 # is executed on
 # $1: The domain to be added
 function set_ddn() {
-  # There are still issues sometimes
-  # hostname -i ... failure syntax error
-  # Even when looping with while ! hostname -i the next one
-  # possibly may fail. Thus we try to fix it with eval
-  while ! eval $(echo IP=$(hostname -i)) ; do
-    sleep 5;
-    systemctl restart dnsmasq
+  # wait for bind to be ready
+  while ! nc -z ${DNS_IP} 53; do
+    sleep 1
   done
+  IP=$(ip -o route get to 8.8.8.8 | sed -n 's/.*src \([0-9.]\+\).*/\1/p')
   nsupdate -v << EOF
-server ${DNS_HOSTS}
+server ${DNS_IP}
 zone ${DNS_ZONE}
 update add ${1} 3600 A ${IP}
 send
diff --git a/experiment/scripts/monitor.sh b/experiment/scripts/monitor.sh
index 2b9843e..a1f6eea 100755
--- a/experiment/scripts/monitor.sh
+++ b/experiment/scripts/monitor.sh
@@ -62,7 +62,7 @@ function update_grafana() {
 # Configure all exporters which run on this host
 function configure_prometheus_and_exporters() {
   
-  sed -i -e 
"s\<EXCHANGE_DB_URL_HERE>\postgresql://postgres@db.${DNS_ZONE}:5432\g" \
+  sed -i -e 
"s\<EXCHANGE_DB_URL_HERE>\postgresql://postgres@db.${DNS_ZONE}:5432?sslmode=disable\g"
 \
              /etc/default/prometheus-postgres-exporter
   
   CFG=""
diff --git a/experiment/scripts/setup.sh b/experiment/scripts/setup.sh
index e3db857..e63f5e6 100644
--- a/experiment/scripts/setup.sh
+++ b/experiment/scripts/setup.sh
@@ -30,7 +30,7 @@ function parse_experiment_nodes() {
   if [ ! -f ~/nodes.json ]; then
     cat ~/experiment-info.json | \
          jq '.nodes | to_entries | .[] | {node: .key, host: 
.value.ssh_login[1].hostname }' | \
-         jq -s \
+         jq -s '.' \
          > ~/nodes.json
   fi
   
@@ -58,8 +58,13 @@ function parse_experiment_nodes() {
   # Export NODE_NAME, which can be used to set log directories for example
   jq -r '.[] | .node, .host' ~/nodes.json | \
   while read -r NODE; read -r HOST; do 
-    if [[ "${HOSTNAME}" == "${HOST}" ]]; then
+    if [[ "${HOST}" =~ "${HOSTNAME}" ]]; then
       echo "NODE_NAME=\"${NODE,,}\"" >> ~/.env
+      if grep -q "Red Hat" /proc/version; then 
+        # Hostname in centos is set to e.g. dahu-8 only
+        # override with the fqdn from the grid
+         echo HOSTNAME="${HOST}" >> ~/.env
+      fi
     fi
   done
 
@@ -138,6 +143,8 @@ function setup_config() {
 # Configure the experiments DNS
 function setup_dns() {
   NS_IP=$(host ${DNS_HOSTS} | sed -n 1p | awk '{print $4}')
+  echo "DNS_IP=${NS_IP}" >> ~/.env
+  echo "DNS_IP=${NS_IP}" >> /etc/environment
 
   # Set our DNS to be the only DNS to query by the stub resolver
   if ! grep -Fxq "server=${NS_IP}" /etc/dnsmasq.conf ; then
@@ -171,11 +178,8 @@ function setup_dns() {
   
   if ! [[ "${HOSTNAME}" =~ ${DNS_HOSTS} ]]; then
     # Wait for named to be ready before starting dnsmasq
-    sleep 5
+    sleep 10
     systemctl restart dnsmasq
-    # Wait again in hope that the hostname error is fixed
-    # hostname -I couldn't get address for 'x': failure syntax error
-    sleep 5
   else 
     # Start the DNS when we are the DNS host
     systemctl restart named
@@ -192,8 +196,11 @@ function clean_previous_setup() {
                 loki \
                 || true
   # Remove access to postgres for all nodes
-  sed -i "/172.16.0.0\/12/d" \
-         /etc/postgresql/${POSTGRES_VERSION}/main/pg_hba.conf
+  HBA_FILE=/etc/postgresql/${POSTGRES_VERSION}/main/pg_hba.conf
+  if grep -q "Red Hat" /proc/version; then 
+    HBA_FILE=/tmp/postgresql/${POSTGRES_VERSION}/data/pg_hba.conf
+  fi
+  sed -i "/172.16.0.0\/12/d" "${HBA_FILE}" || true
 }
 
 clean_previous_setup
@@ -203,4 +210,6 @@ setup_environment
 setup_config
 setup_dns
 
-exec ~/scripts/createusers.sh
+if ! grep -q "Red Hat" /proc/version; then 
+  exec ~/scripts/createusers.sh
+fi
diff --git a/experiment/ssh/id_rsa b/experiment/ssh/id_rsa
new file mode 100644
index 0000000..87d338a
--- /dev/null
+++ b/experiment/ssh/id_rsa
@@ -0,0 +1,38 @@
+-----BEGIN OPENSSH PRIVATE KEY-----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+-----END OPENSSH PRIVATE KEY-----
diff --git a/experiment/ssh/id_rsa.pub b/experiment/ssh/id_rsa.pub
new file mode 100644
index 0000000..dbf1cd5
--- /dev/null
+++ b/experiment/ssh/id_rsa.pub
@@ -0,0 +1 @@
+ssh-rsa 
AAAAB3NzaC1yc2EAAAADAQABAAABgQCuHpT+Mvgs1KvvGFE1PEArp/pP9G2hQ/8ElZ8j7q0U9jHyDIznOhKugKQaKOjD+3C34GfMGrctq3ej+nSidpvTSL8AtmRCuwIa/VLmWBSr5Um7Wyy74vLS2ZbcsyLrPQbOvYgg33amxrFARmvslTUpL3gqmihHSJeamJaihrB4Is5mGh1kvUuYLLXHIawS/lkEHSPOASH0xjG+wj36meo0j89uycWV9SgKW1/5HwPljBEIkpM47garSQCvIvn8Hd0tCcV36uB7ipRmOIjP1T3+7b2bj8PJdiG6M7ecTN6JXlj1mz0G7Ea1trlmZ+80XYZztFvMhlVxY6NYhdD062wplajQ94yAwBH66fO8hhO38jBVDPJBA2FEYDAx4EbKlXZCVbB+IBuiqtrGJYUlUa/8CIS6ssxpUJXy7xoO9B9jDkXj75rrp3UDEfXJB052qafXrJ6h
 [...]
diff --git a/image/centos8/taler-centos8.yaml b/image/centos8/taler-centos8.yaml
index a6896f4..2cc0af9 100644
--- a/image/centos8/taler-centos8.yaml
+++ b/image/centos8/taler-centos8.yaml
@@ -82,8 +82,8 @@ setup:
          wget 
https://github.com/prometheus/node_exporter/releases/download/v$${taler_node_exporter_version}/node_exporter-$${taler_node_exporter_version}.linux-amd64.tar.gz
 -P /tmp
          cd /tmp
          tar xzf 
node_exporter-$${taler_node_exporter_version}.linux-amd64.tar.gz
-         mv 
node_exporter-$${taler_node_exporter_version}.linux-amd64/node_exporter 
/usr/local/bin/prometheus-node-exporter
-         chown prometheus:prometheus /usr/local/bin/prometheus-node-exporter
+         mv 
node_exporter-$${taler_node_exporter_version}.linux-amd64/node_exporter 
/usr/bin/prometheus-node-exporter
+         chown prometheus:prometheus /usr/bin/prometheus-node-exporter
 
 export:
   ### The export section takes in charge the export of your customized 
Grid'5000
diff --git a/image/debian11/grid5000/from_scratch/base.yaml 
b/image/debian11/grid5000/from_scratch/base.yaml
index 3c89aab..8fddec3 100644
--- a/image/debian11/grid5000/from_scratch/base.yaml
+++ b/image/debian11/grid5000/from_scratch/base.yaml
@@ -82,7 +82,7 @@ global:
   zerofree: false
 
   # GRUB
-  grub_cmdline_linux: mitigations=off console=tty0 console=ttyS0,115200
+  grub_cmdline_linux: console=tty0 console=ttyS0,115200
 
   http_directory: $${kameleon_cwd}/http_dir
   http_pid:  $${kameleon_cwd}/http.pid

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]